%define momorel 2
Summary: Net-IP module for perl 
Name: perl-Net-IP
Version: 1.25
Release: %{momorel}m
License: Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Net/Net-IP-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.8

%description
Net::IP is a module which is designed to allow easy manipulation of IPv4 and
IPv6 addresses.

%prep
%setup -q -n Net-IP-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_sitearch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Net-IP-%{version}-filelist
if [ "$(cat Net-IP-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Net-IP-%{version}-filelist
%defattr(-,root,root)
%doc Changes COPYING README*

%changelog
* Thu Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.25-2m)
- modify install dir

* Fri Jun  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.25-1m)
- update to 1.25

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24-3m)
- built against perl-5.8.8

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.24-2m)
- enable lib64

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.24-1m)
- initial import to Momonga Linux 2

